function goal = exploreMaxVariance(variance_matrix, isCovariance,position,parameters,occupancy_map)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

[num_row,num_col]=size(variance_matrix);
%num_row=dimension(1);
%num_col=dimension(2);

if isCovariance==1
    variance_vector=diag(variance_matrix);
else 
    variance_vector=reshape(variance_matrix',num_row*num_col,1);
end

% take away the obstacle part
for i=1:num_row
    for j=1:num_col
        if occupancy_map(i,j) == parameters.occupancyThreshold
            variance_vector((i-1)*num_col+j)=0;
        end
    end
end

max_variance=max(variance_vector);

max_index=find(ismember(variance_vector,max_variance));
min_dis=(num_row-1)^2+(num_col-1)^2;

for i=1:length(max_index)    
    
    row=ceil(max_index(i)/num_col);
    col=mod(max_index(i),num_col);
    
    if col==0
        col=num_col;
    end
    
    dis=(row-position(1))^2+(col-position(2))^2;
    
    if dis<min_dis
        min_dis=dis;
        min_row=row;
        min_col=col;
    end  
end

  goal=[min_row min_col];

end

