#pragma once

#include <thd_mapping/goal_finding_algorithm.hpp>

namespace thd_mapping
{
    THD_MAPPING_CLASS_FORWARD(MaxVarianceGoalFinder);
    class MaxVarianceGoalFinder : public GoalFindingAlgorithm
    {
    public:
        // MaxVarianceGoalFinder (const thd_mapping::GridMap& variance, const thd_mapping::GridMap& occupancy);
        virtual ~MaxVarianceGoalFinder();
        
        const Position getGoal(const GridMap &, const GridMap &);
        void setPosition(Position pos)
        {
            _position = pos;
        }
    private:
        Position _position;
    };
}
