%% Report-- obstacle effect --finished

clear all;
occupancy_map=zeros(20,30);
occupancy_map(1:9,10)=1;
occupancy_map(9,15:30)=1;
occupancy_map(1:20,1)=1;
occupancy_map(1,1:30)=1;
occupancy_map(1:20,30)=1;
occupancy_map(20,1:30)=1;
occupancy_map(15:16,6:7)=1;

mean_map=zeros(20,30);
parameters.neighbour_sigma=0.1;
parameters.sensor_sigma=0.1;
parameters.time_sigma=0.1;
parameters.error_tolerance=0.00001;
variance_map=zeros(20*30,20*30);
parameters.occupancyThreshold=0.5;
reading=[33 32];
position=[3 3; 15 20];

[mean_map_o,variance_map_o]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

figure;
subplot(2,2,1);
K1=mat2gray(mean_map_o)-occupancy_map;
imshow(K1, 'InitialMagnification', 1000);
title('Mean map with obstacle')

subplot(2,2,3)
var=diag(variance_map_o);
a=max(var(var<1))
var(var>1)=a;
K2=mat2gray(vec2mat(var,30))-occupancy_map;
imshow(K2, 'InitialMagnification', 1000);
title('Variance with obstacle')


mean_map=zeros(20,30);
parameters.neighbour_sigma=0.1;
parameters.sensor_sigma=0.1;
parameters.time_sigma=0.1;
parameters.error_tolerance=0.00001;
variance_map=zeros(20*30,20*30);
parameters.occupancyThreshold=2;

occupancy_map=zeros(20,30);
occupancy_map(1:20,1)=1;
occupancy_map(1,1:30)=1;
occupancy_map(1:20,30)=1;
occupancy_map(20,1:30)=1;

[mean_map_n,variance_map_n]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

subplot(2,2,2);
K3=mat2gray(mean_map_n)-occupancy_map;
mean2=imshow(K3, 'InitialMagnification', 1000);
title('mean map without obstacle')

subplot(2,2,4)
K4=mat2gray(vec2mat(diag(variance_map_n),30))-occupancy_map;
imshow(K4, 'InitialMagnification', 1000);
title('Variance without obstacle')


%%  Report: time analysis--finished--mean_map
clear all;
mean_map=zeros(20,30);
parameters.neighbour_sigma=0.08;
parameters.sensor_sigma=0.1;
parameters.time_sigma=0.1;
parameters.error_tolerance=0.00001;
variance_map=zeros(20*30,20*30);
parameters.occupancyThreshold=2;

occupancy_map=zeros(20,30);
occupancy_map(1:20,1)=1;
occupancy_map(1,1:30)=1;
occupancy_map(1:20,30)=1;
occupancy_map(20,1:30)=1;

reading=[30 35 35];
position=[3 20; 10 10; 15 20];


[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

figure
subplot(2,2,1);
K=mat2gray(mean_map)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('mean map t1')

reading=[30 35];
position=[3 20; 15 20];

[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);


subplot(2,2,2);
K=mat2gray(mean_map)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('mean map t2')

[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);


subplot(2,2,3);
K=mat2gray(mean_map)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('mean map t3')


[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);


subplot(2,2,4);
K=mat2gray(mean_map)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('mean map t4')



%%  Report: time analysis--finished--variance_map
clear all;
mean_map=zeros(20,30);
parameters.neighbour_sigma=0.08;
parameters.sensor_sigma=0.1;
parameters.time_sigma=0.1;
parameters.error_tolerance=0.00001;
variance_map=zeros(20*30,20*30);
parameters.occupancyThreshold=2;

occupancy_map=zeros(20,30);
occupancy_map(1:20,1)=1;
occupancy_map(1,1:30)=1;
occupancy_map(1:20,30)=1;
occupancy_map(20,1:30)=1;

reading=[30 35 35];
position=[3 20; 10 10; 15 20];


[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

figure
subplot(2,2,1);
K=mat2gray(vec2mat(diag(variance_map),30))-occupancy_map;
%K=mat2gray(variance_map)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map t1')

reading=[30 35];
position=[3 20; 15 20];

[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);


subplot(2,2,2);
K=mat2gray(vec2mat(diag(variance_map),30))-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map t2')

[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);


subplot(2,2,3);
K=mat2gray(vec2mat(diag(variance_map),30))-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map t3')


[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);


subplot(2,2,4);
K=mat2gray(vec2mat(diag(variance_map),30))-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map t4')

%% Report--different time variance-variance_map

clear all;
mean_map=zeros(20,30);
parameters.neighbour_sigma=0.1;
parameters.sensor_sigma=0.1;
parameters.time_sigma=0.1;
parameters.error_tolerance=0.00001;
variance_map=zeros(20*30,20*30);
parameters.occupancyThreshold=2;

occupancy_map=zeros(20,30);
occupancy_map(1:20,1)=1;
occupancy_map(1,1:30)=1;
occupancy_map(1:20,30)=1;
occupancy_map(20,1:30)=1;

reading=[30 35 35];
position=[3 20; 10 10; 15 20];

[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

figure
subplot(2,2,1);
K=mat2gray(vec2mat(diag(variance_map),30))-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map Original')


reading=[30 35];
position=[3 20; 15 20];

parameters.time_sigma=1;
[mean_map_1,variance_map_1]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

subplot(2,2,4);
K=mat2gray(vec2mat(diag(variance_map_1),30))-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map (1)')


parameters.time_sigma=0.1;
[mean_map_1,variance_map_1]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

subplot(2,2,3);
K=mat2gray(vec2mat(diag(variance_map_1),30))-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map (0.1)')


parameters.time_sigma=0.01;
[mean_map_1,variance_map_1]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

subplot(2,2,2);
K=mat2gray(vec2mat(diag(variance_map_1),30))-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Variance map (0.01)')


%% Report--different time variance-mean map

clear all;
mean_map=zeros(20,30);
parameters.neighbour_sigma=0.1;
parameters.sensor_sigma=0.1;
parameters.time_sigma=0.01;
parameters.error_tolerance=0.00001;
variance_map=zeros(20*30,20*30);
parameters.occupancyThreshold=2;

occupancy_map=zeros(20,30);
occupancy_map(1:20,1)=1;
occupancy_map(1,1:30)=1;
occupancy_map(1:20,30)=1;
occupancy_map(20,1:30)=1;

reading=[30 35 35];
position=[3 20; 10 10; 15 20];

[mean_map,variance_map]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

figure
subplot(2,2,1);
K=mat2gray(mean_map)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Mean map Original')


reading=[30 35];
position=[3 20; 15 20];

parameters.time_sigma=1;
[mean_map_1,variance_map_1]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

subplot(2,2,4);
K=mat2gray(mean_map_1)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Mean map (1)')


parameters.time_sigma=0.1;
[mean_map_1,variance_map_1]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

subplot(2,2,3);
K=mat2gray(mean_map_1)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Mean map (0.1)')


parameters.time_sigma=0.01;
[mean_map_1,variance_map_1]=randomField(mean_map,reading,position,parameters,variance_map,occupancy_map);

subplot(2,2,2);
K=mat2gray(mean_map_1)-occupancy_map;
imshow(K, 'InitialMagnification', 1000);
title('Mean map (0.01)')


%% 