#ifndef THD_MAPPING_CLASS_FORWARD_H
#define THD_MAPPING_CLASS_FORWARD_H

#include <boost/shared_ptr.hpp>

#define THD_MAPPING_DECLARE_PTR(Name, Type)\
  typedef std::shared_ptr<Type> Name##Ptr;\
  typedef std::shared_ptr<const Type> Name##ConstPtr;


#define THD_MAPPING_CLASS_FORWARD(C)\
  class C;\
  THD_MAPPING_DECLARE_PTR(C, C);

#endif // THD_MAPPING_CLASS_FORWARD_H
