#pragma once

#include <thd_mapping/grid_map.h>
#include <thd_mapping/data_types.h>
#include <thd_mapping/class_forward.h>

#include <thd_mapping/oct_runner.hpp>
namespace thd_mapping {

THD_MAPPING_CLASS_FORWARD(GoalFindingAlgorithm)

class GoalFindingAlgorithm {

protected:
    // GridMap _grid;
    // const GridMap& _occupancy;
    Position _pos;
    
  public:
    
    // GoalFindingAlgorithm(const GridMap &, const GridMap &);
    void setPosition(const Position pos) {
        _pos = pos;
    }
    virtual const Position getGoal(const GridMap &, const GridMap &) = 0;
    virtual ~GoalFindingAlgorithm() = 0;

};
}
