#pragma once
#include <string>
#include <thd_mapping/data_types.h>
#include <thd_mapping/gdm_algorithm.h>
#include <thd_mapping/sensor_node.h>
#include <vector>


namespace thd_mapping {
    std::vector<thd_mapping::DataPoint> dataPointsFromCSV(std::string filename);
    void writePPMFromGridMap(const thd_mapping::GridMap& gridMap, std::string outputName);

    void dataPointCallback(const thd_mapping::SensorNode& node,
              const std::vector <thd_mapping::GDMAlgorithmPtr>& mapping_alg_ptr, int id);
}
